import org.forgerock.json.resource.NotSupportedException
import org.forgerock.json.resource.ReadRequest
import org.forgerock.json.resource.NotFoundException

if (request instanceof ReadRequest) {
	// who is performing the request on which user?
    user = context.getContext("security").getAuthorizationId().id;
    linked = openidm.read("endpoint/linkedView/managed/user/" + user)
    linked.remove('password')
    linked.remove('photo')
    for (account in linked['linkedTo']) {
      account['content'].remove('photo')
      account['content'].remove('password')
      account.remove('mappings')
      account.remove('linkQualifier')
      account.remove('linkType')
    }
    return linked
} else {
    throw new NotSupportedException(request.getClass().getName());
}
