/* 
 * copied from ui/default/script 
 * deduce in2p3 org from ldapDN
 */


var uiConfig =  openidm.read("config/ui/configuration");

if (object.ldapDN) {
    if (!object.organization) {
        // extract organization from DN
        var reg = /(.*ou=people,ou=)([a-z]+)(,o=in2p3,c=fr)/;
        var res = reg.exec(object.ldapDN);
        if (res != null) {
            var ldaporg = res[2];
            // get corresponding name
            var in2p3org = openidm.read("config/custom/in2p3org");
            var org = in2p3org[ldaporg];
            if (org != undefined) {
                object.organization = 'managed/organization/' + org;
            }
        }
    }
}

if (!object.accountStatus) {
    object.accountStatus = 'active';
}

if(!object.roles) {
    object.roles = ['openidm-authorized'];    
}

if (!object.lastPasswordSet) {
    object.lastPasswordSet = "";
}

if (!object.postalCode) {
    object.postalCode = "";
}

if (!object.stateProvince) {
    object.stateProvince = "";
}

if (!object.passwordAttempts) {
    object.passwordAttempts = "0";
}

if (!object.lastPasswordAttempt) {
    object.lastPasswordAttempt = (new Date()).toString();
}

if (!object.postalAddress) {
    object.postalAddress = "";
}

if (!object.address2) {
    object.address2 = "";
}

if (!object.country) {
    object.country = "";
}

if (!object.city) {
    object.city = "";
}
if (!object.givenName) {
    object.givenName = "";
}

if (!object.sn) {
    object.sn = "";
}

if (!object.telephoneNumber) {
    object.telephoneNumber = "";
}

if (!object.mail) {
    object.mail = "";
}

if (uiConfig.configuration.siteIdentification) {

    if (!object.siteImage) {
        object.siteImage = "user.png";
    }

    if (!object.passPhrase) {
        object.passPhrase = "Welcome new user";
    }

}

if (uiConfig.configuration.securityQuestions) {
    if (!object.securityAnswer) {
        object.securityAnswer = java.util.UUID.randomUUID().toString();
    }

    if (!object.securityQuestion) {
        object.securityQuestion = "1";
    }

    if (!object.securityAnswerAttempts) {
        object.securityAnswerAttempts = "0";
    }

    if (!object.lastSecurityAnswerAttempt) {
        object.lastSecurityAnswerAttempt = (new Date()).toString();
    }
}
