/* 
 * copied from ui/default/script 
 * deduce in2p3 org from ldapDN
 */

// Only if new object has ldapDN
if (newObject.ldapDN) {
  // Only if old object had not ldapDN or if ldapDN value has changed
  if (!oldObject.ldapDN || oldObject.ldapDN !== newObject.ldapDN) {
    // Only if organization has not changed
    if (oldObject.organization === newObject.organization) {
        // extract organization from DN
        var reg = /(.*ou=people,ou=)([a-z]+)(,o=in2p3,c=fr)/;
        var res = reg.exec(newObject.ldapDN);
        if (res != null) {
            var ldaporg = res[2];
            // get corresponding name
            var in2p3org = openidm.read("config/custom/in2p3org");
            var org = in2p3org[ldaporg];
            if (org != undefined) {
                newObject.organization = 'managed/organization/' + org;
            }
        }
    }
  }
}

